Bug 1074267 - ghostscript-fonts: fontconfig alias mappings missing
ghostscript-fonts: fontconfig alias mappings missing
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
All Other
: P5 - None : Normal (vote)
: ---
Assigned To: Johannes Meixner
E-mail List
https://bugzilla.opensuse.org/show_bu...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-01 15:51 UTC by Joshua Krämer
Modified: 2018-03-26 09:38 UTC (History)
1 user (show)

See Also:
Found By: Community User
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
alias mappings for URW base35 fonts (470 bytes, application/xml)
2018-01-01 15:51 UTC, Joshua Krämer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Krämer 2018-01-01 15:51:24 UTC
Created attachment 754463 [details]
alias mappings for URW base35 fonts

Fontconfig mappings of generic PostScript font names ("Helvetica", "Times", "Courier" etc.) to URW's base 35 fonts (ghostscript-fonts-std + ghostscript-fonts-other) are currently missing. That means, if a Postscript font is requested on a webpage, PDF file etc., the URW fonts will not be used as substitutes.

Previously, the mappings were provided by the following fontconfig files:

/etc/fonts/conf.d/30-metric-aliases.conf
/etc/fonts/conf.d/30-urw-aliases.conf

Those mappings have been removed from fontconfig, because they are now provided by URW's font release. Please refer to:

[1] https://lists.freedesktop.org/archives/fontconfig/2017-September/006025.html
[2] https://github.com/ArtifexSoftware/urw-base35-fonts/tree/master/fontconfig

The mappings (available at [2]) should be added to the ghostscript-fonts packages.

Unfortunately, upstream's current mappings at [2] cannot be used with openSUSE's current ghost-script-fonts-* packages, because the latter are outdated and have outdated names (bug #1074266). A temporary solution is the attached file /etc/fonts/conf.d/30-urw-aliases.conf, which uses the old names.
Comment 1 Stefan Dirsch 2018-01-08 19:50:00 UTC
Reassigning to package maintainer of ghostscript-fonts.
Comment 2 Johannes Meixner 2018-03-26 09:37:10 UTC
Because ghostscript-fonts is in general outdated and
will be replaced by the new urw-base35-fonts package
(see bug#1074266)
no further efforts will be spent on ghostscript-fonts
so that I close this issue as "wontfix", cf.
https://en.opensuse.org/Bug_Status_WONTFIX
and
https://bugzilla.opensuse.org/page.cgi?id=status_resolution_matrix.html